aspose file tools*
The moose likes Websphere and the fly likes MQ Simulator - WSAD 5.0 Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Products » Websphere
Bookmark "MQ Simulator - WSAD 5.0" Watch "MQ Simulator - WSAD 5.0" New topic
Author

MQ Simulator - WSAD 5.0

Johannes de Jong
tumbleweed
Bartender

Joined: Jan 27, 2001
Posts: 5089
We are using WSAD 5.0 for an EJB project. Instead of using the built in MQ Simulator we would prefer to use the actual Websphere MQ 5.3 but we don't seem to be able to find a way to get WSAD to use the actual MQ in stead of the simulator. All documentation we could lay our hands on say that it can be done but not how.
Has anybody here got any tips ??
One added bit of info. IBM MQ is istalled on the same physical machine as WSAD.
[ May 01, 2003: Message edited by: Johannes de Jong ]
Mike Jay
Greenhorn

Joined: Apr 25, 2003
Posts: 5
There is some info in the WSAD help about changing the JMS providerto MQ Websphere. In our case, we had mq 5.3.1 (MQ Websphere) insatlled and then installed WSAD. I see to remember an installlation option for using MQ as the provider. I would think that when you do that it would also use the real MQ for "MQ stuff".
I have never use the MQ simulator. I can say that once we did the above, we were able to configure the connection factory/queues and our code originally developed in VA java 3.5.5 and MQ 5.2 plus the MA88 stuff ran fine.
Johannes de Jong
tumbleweed
Bartender

Joined: Jan 27, 2001
Posts: 5089
Thanks for you reply Jay.
Since posting the above we installed WAS 5.0, it installs its "own" version of IBM MQ, on the machine & now we can actually see the <new> button in Generic JMS providers under Recources in the Adminstrative Console.
So I'm now going to add IBM MQ as a new JMS Provider.
We aint sure yet however why it did not work with IBM MQ only ie. why did we have to install WAS 5.0.
All very frustrating stuff
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: MQ Simulator - WSAD 5.0